Enable Flow on Polish Wikipedia and Commons
Closed, ResolvedPublic1 Story Points

tarlocesilion updated the task description. (Show Details)
tarlocesilion raised the priority of this task from to Needs Triage.
tarlocesilion added a subscriber: tarlocesilion.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 4:14 PM
DannyH triaged this task as Normal priority.Jul 29 2015, 11:25 PM
DannyH set Security to None.
DannyH added a subscriber: DannyH.

We'll enable Flow there soon -- I'm glad you're interested!

DannyH renamed this task from Enable Flow on Polish Wikipedia to Enable Flow on Polish Wikipedia and Commons.Jul 30 2015, 6:20 PM
DannyH updated the task description. (Show Details)
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 30 2015, 6:20 PM

Change 228152 had a related patch set uploaded (by Catrope):
Enable Flow on plwiki and commonswiki

https://gerrit.wikimedia.org/r/228152

Catrope claimed this task.
Catrope edited a custom field.

Change 228152 merged by jenkins-bot:
Enable Flow on plwiki and commonswiki

https://gerrit.wikimedia.org/r/228152

Polish is done, and @DannyH enabled Flow on 3 of the 4 requested pages there, but https://pl.wikipedia.org/wiki/Dyskusja_Wikipedii:Flow couldn't be converted because of T67802#1497491. Commons was done briefly but then reverted because it started spewing errors, which I think may have to do with T101300: F5. SUL the flow talk page manager.

Errors on Commons looked like:

2015-07-30 23:41:11 mw1209 commonswiki exception ERROR: [42c8eeb8] /wiki/Special:Upload
Flow\Exception\FlowException from line 291 of /srv/mediawiki/php-1.26wmf16/extensions/Flow/includes/TalkpageManager.php:
All of the candidate usernames exist, but they are not configured as expected.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.

OK, thanks, Polish is still waiting for a separate feedback page, then. For now, users are mixing sandbox with Newbie's Questions (they feel like newbies while testing Flow ;) and leave their feedback on sandbox. (T88140 is what we need).

Stryn added a subscriber: Stryn.Jul 31 2015, 5:13 PM

Errors on Commons looked like:

2015-07-30 23:41:11 mw1209 commonswiki exception ERROR: [42c8eeb8] /wiki/Special:Upload
Flow\Exception\FlowException from line 291 of /srv/mediawiki/php-1.26wmf16/extensions/Flow/includes/TalkpageManager.php:
All of the candidate usernames exist, but they are not configured as expected.

rEFLW5c84c341117e: Clean up 'Flow talk page manager' related code would fix that, except it's not deployed yet. So I manually added the 'Flow talk page manager' account to the 'bot' group and it should work now.

DannyH added a comment.Aug 5 2015, 5:45 PM

We removed the problem that was breaking the deployment on the main Project talk:Flow page (Dyskusja_Wikipedii:Flow).

I moved the existing Flow/Tests page (Dyskusja_Wikipedii:Flow/Brudnopis) to become the main Project talk:Flow, and then created a new tests page:

https://pl.wikipedia.org/wiki/Dyskusja_Wikipedii:Flow
https://pl.wikipedia.org/wiki/Dyskusja_Wikipedii:Flow/Brudnopis

The bug that caused the problem still needs to get fixed -- see T107204: Separate reference tables by wiki

We removed the problem that was breaking the deployment on the main Project talk:Flow page (Dyskusja_Wikipedii:Flow).

Does anyone (@Catrope maybe) know how this was worked around?

DannyH added a comment.Aug 5 2015, 9:20 PM

@Mattflaschen

The problem was triggered by Wikidata's Project_talk:Flow's side rail, which contained links to Wikidata-specific namespaces. The workaround here was to edit that page's side rail, and take out those links. (They were only there for testing anyway, not essential.) Then it took about four days to clear, I guess because of cacheing.

DannyH closed this task as Resolved.Aug 6 2015, 5:14 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Archive-2015-2016 board.